%bcond_with bootstrap

Summary:        CDI API
Name:           cdi-api
Version:        2.0.2
Release:        7%{?dist}
License:        ASL 2.0
URL:            https://github.com/eclipse-ee4j/cdi
Source0:        https://github.com/eclipse-ee4j/cdi/archive/%{version}.tar.gz

BuildRequires:  maven-local
%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  mvn(jakarta.inject:jakarta.inject-api)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
%endif

BuildArch:      noarch

%description
APIs for JSR-299: Contexts and Dependency Injection for Java EE

%{?javadoc_package}

%prep
%autosetup -n cdi-%{version}

%pom_remove_parent
%pom_remove_parent api
%pom_disable_module spec
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_dep :jakarta.el-api api
%pom_remove_dep :jakarta.interceptor-api api

rm -rf api/src/main/java/javax/enterprise/{context/,inject/spi/,inject/se/,inject/Model.java,inject/New.java}

%mvn_alias :jakarta.enterprise.cdi-api javax.enterprise:cdi-api

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt
%doc README.md

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-7
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-6
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.0.2-5
- Disable bootstrap

* Wed Apr 12 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.0.2-4
- Rewritten spec for maven 3.8.6

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 23 2023 Shuo Wang <abushwang@tencent.com> - 2.0.2-2
- re-build

* Mon Dec 26 2022 Zhao Zhen <jeremiazhao@tencent.com> - 2.0.2-1
- initial
